personCertification を作成する

名前空間: microsoft.graph

ユーザーのプロファイル に新しい personCertification オブジェクトを作成 します

アクセス許可

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校アカウント) User.ReadWrite, User.ReadWrite.All
委任 (個人用 Microsoft アカウント) User.ReadWrite, User.ReadWrite.All
アプリケーション User.ReadWrite.All

HTTP 要求

POST /me/profile/certifications
POST /users/{id | userPrincipalName}/profile/certifications

要求ヘッダー

名前 説明
Authorization ベアラー {token}。必須。
Content-Type application/json. Required.

要求本文

要求本文で 、personCertification オブジェクトの JSON 表記を指定します。

次の表に、ユーザーのプロファイルに新しい personCertification オブジェクトを作成するときに設定できるプロパティを示 します

プロパティ 種類 説明
allowedAudiences String エンティティ内に含まれる値を表示できる対象ユーザー。 itemFacet から継承されます。 可能な値は、mefamilycontactsgroupMembersorganizationfederatedOrganizationseveryoneunknownFutureValue です。
certificationId 文字列 認定の参照可能な識別子。
description String 認定の説明。
displayName 文字列 認定のタイトル。
endDate Date 認定の有効期限が切れる日付。
推論 inferenceData エンティティが作成または変更アプリケーションによって推論される場合の推論の詳細を格納します。 itemFacet から継承されます
issuedDate 日付 認定が発行された日付。
issuingAuthority String 認定を付与した機関。
issuingCompany String 認定を付与した機関。
source personDataSource 別のサービスから同期された場合に値が発生した場所。 itemFacet から継承されます
startDate Date 認定が有効になった日付。
thumbnailUrl String 認定のサムネイルを参照する URL。
webUrl String 認定を参照する URL。

応答

成功した場合、このメソッドは応答 201 Created コードと、応答本文 の personCertification オブジェクトを返します。

POST https://graph.microsoft.com/beta/me/profile/certifications
Content-Type: application/json

{
  "certificationId": "KB-1235466333663322",
  "description": "Blackbelt in Marketing - Brand Management",
  "displayName": "Marketing Blackbelt - Brand Management",
  "thumbnailUrl": "https://iame.io/dfhdfdfd334.jpg",
  "webUrl": "https://www.iame.io/blackbelt"
}

応答

注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。

HTTP/1.1 201 Created
Content-Type: application/json

{
  "id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
  "allowedAudiences": "organization",
  "inference": null,
  "createdDateTime": "2020-07-06T06:34:12.2294868Z",
  "createdBy": {
    "application": null,
    "device": null,
    "user": {
      "displayName": "Innocenty Popov",
      "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
    }
  },
  "lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
  "lastModifiedBy": {
    "application": null,
    "device": null,
    "user": {
      "displayName": "Innocenty Popov",
      "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
    }
  },
  "source": null,
  "certificationId": "KB-1235466333663322",
  "description": "Blackbelt in Marketing - Brand Management",
  "displayName": "Marketing Blackbelt - Brand Management",
  "endDate": "Date",
  "issuedDate": "Date",
  "issuingAuthority": null,
  "issuingCompany": null,
  "startDate": "Date",
  "thumbnailUrl": "https://iame.io/dfhdfdfd334.jpg",
  "webUrl": "https://www.iame.io/blackbelt"
}